<!-- Página que muestra la lista de noticias -->

<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %> 

<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>

<title>Aplicación de ejemplo de uso del franework SOFP</title>
<link rel="stylesheet" type="text/css" href="../hojadeestilos.css" />
</head>
<body>

<jsp:include page="/Cabecera.jsp" />

<!-- 
Iteramos por la lista de noticias que ha sido obtenida pr el comando correspondiente y pasada a la
vista como una variable de ámbito request
 -->

<c:forEach var="noticia" items="${basededatosIterable}" >

	<div class="titular">${noticia.titular}</div>
	<a target="_blank" class="enlace" href="${noticia.enlace}" target="_blank">${noticia.enlace}</a>
	<div class="autor">por ${noticia.autor}</div>
	<div class="descripcion">${noticia.descripcion}</div>  
	
	<a class="comentarios" href="../command/ComentariosMostrar?idNoticia=${noticia.id}">ver los ${noticia.numComentarios} comentarios</a><br>  
	                 
	<form method="get" action ="../command/NoticiaBorrar">
		<input type="hidden" name="idNoticia" value="${noticia.id}">
		<input type="submit" value="borrar">
	</form>

<p/><p/>            
</c:forEach>

<p/><p/><hr><p/><p/>     
 
<!-- 
Formulario HTML para añadir una nueva noticia
 -->
<form method="get" action ="../command/NoticiaAnadir">
<table border="0">
<tr>
<td>titular</td>
<td><input type="text" name="titular" size="90"></td>
</tr>
<tr>
<td>descripcion</td>
<td><textarea name="descripcion" rows="5" cols="70"></textarea></td>
</tr>
<tr>
<td>enlace</td>
<td><input type="text" name="enlace" size="80"></td>
</tr>
<tr>
<td>autor</td>
<td><input type="text" name="autor" readonly value="${usuario.usuario}"></td>
</tr>
<tr>
<td>email</td>
<td><input type="text" name="email"></td>
</tr>
<tr>
<td>
<input type="submit" value="Añadir noticia">
</td>
<td></td>
</tr>
</table>
</form>

</body>
</html>
