/*
 * Universitat Oberta de Catalunya
 * Ingeniería de Informática, 2º ciclo
 * Proyecto fin de carrera- Diseño e implementación de un framework de presentación
 * 
 * Autor:Enrique Mengíbar Vázquez
 * Fecha: Enero 2012 
 * 
 * Description: Formbean que contiene la información de un comentario, se usa para enviar los datos generados 
 * desde la vista al comando
 * 
 */

package org.sofp.test.formbeans;

import org.sofp.forms.FormBean;

// Extendemos de la clase abstracta del FormBean del framework SOFP
public class ComentarioFormbean extends FormBean {
	
	public String idNoticia;	// Identificador de la noticia a la que pertenece el comentario
	public String comentario;	// Texto del comentario
	
	// Getters y Setters
	
	public String getIdNoticia() {
		return idNoticia;
	}

	public void setIdNoticia(String idNoticia) {
		this.idNoticia = idNoticia;
	}

	public String getComentario() {
		return comentario;
	}

	public void setComentario(String comentario) {
		this.comentario = comentario;
	}

	public String toString() {
		return "AnadirComentarioFormBean [idNoticia=" + idNoticia
				+ ", comentario=" + comentario + "]";
	}
}