/*
 * Universitat Oberta de Catalunya
 * Ingeniería de Informática, 2º ciclo
 * Proyecto fin de carrera- Diseño e implementación de un framework de presentación
 * 
 * Autor:Enrique Mengíbar Vázquez
 * Fecha: Enero 2012 
 * 
 * Description: Formbean que contiene la información de los credenciales de acceso de un usuario, se usa para 
 * enviar los datos generados desde la vista al comando
 * 
 */

package org.sofp.test.formbeans;

import org.sofp.forms.FormBean;

//Extendemos de la clase abstracta del FormBean del framework SOFP
public class LoginFormbean extends FormBean {
	
	public String usuario;		// usuario
	public String password;		// contraseá
	
	// getters y setters
	
	public String getUsuario() {
		return usuario;
	}

	public void setUsuario(String usuario) {
		this.usuario = usuario;
	}

	public String getPassword() {
		return password;
	}

	public void setPassword(String password) {
		this.password = password;
	}

	public String toString() {
		return "LoginFormBean [usuario=" + usuario + ", password=" + password + "]";
	}
	
}