/*
 * Universitat Oberta de Catalunya
 * Ingeniería de Informática, 2º ciclo
 * Proyecto fin de carrera- Diseño e implementación de un framework de presentación
 * 
 * Autor:Enrique Mengíbar Vázquez
 * Fecha: Enero 2012 
 * 
 * Description: Formbean que contiene la información de una noticia, se usa para 
 * enviar los datos generados desde la vista al comando, contiene todos los campos de la noticia
 * se usará principalmente en las altas 
 * 
 */

package org.sofp.test.formbeans;

import org.sofp.forms.FormBean;

//Extendemos de la clase abstracta del FormBean del framework SOFP
public class NoticiaFormbean extends FormBean {
	
	public String autor;		// Autor de la noticia
	public String email;		// Correo de la noticia
	public String titular;		// Titular de la noticia
	public String descripcion;	// Descripción de la noticia
	public String enlace;		// Enlace al medio que publica la noticia
	
	// getters y setetrs
	
	public String getAutor() {
		return autor;
	}
	
	public void setAutor(String autor) {
		this.autor = autor;
	}
	
	public String getEmail() {
		return email;
	}
	
	public void setEmail(String email) {
		this.email = email;
	}
	
	public String getTitular() {
		return titular;
	}
	
	public void setTitular(String titular) {
		this.titular = titular;
	}
	
	public String getDescripcion() {
		return descripcion;
	}
	
	public void setDescripcion(String descripcion) {
		this.descripcion = descripcion;
	}
	
	public String getEnlace() {
		return enlace;
	}
	
	public void setEnlace(String enlace) {
		this.enlace = enlace;
	}
	
	public String toString() {
		return "NoticiaFormbean [autor=" + autor + ", email=" + email + ", titular=" + titular + ", descripcion=" + descripcion + ", enlace=" + enlace + "]";
	} 
	
}