<!-- Muestras todos los comentarios de una noticia -->

<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %> 

<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>

<title>Aplicación de ejemplo de uso del franework SOFP</title>
<link rel="stylesheet" type="text/css" href="../hojadeestilos.css" />
</head>
<body>
<jsp:include page="/Cabecera.jsp" />

<!--  mostramos los datos de la noticia  -->
<div class="titular">${noticia.titular}</div>
<a class="enlace" href="${noticia.enlace}" target="_blank">${noticia.enlace}</a>
<div class="autor">por ${noticia.autor}</div>
<div class="descripcion">${noticia.descripcion}</div>     
  
<hr>

<!--  iteramos por la colección de comentarios y mostramos cada registro -->
<c:forEach var="comentario" items="${comentariosNoticia}" >
	<div class="autor">${comentario.autor}</div>
	<div class="comentarios">${comentario.comentario}</div>
	<form method="get" action ="../command/ComentarioBorrar">
		<input type="hidden" name="idComentario" value="${comentario.id}">
		<input type="hidden" name="idNoticia" value="${noticia.id}">
		<input type="submit" value="borrar">
	</form>     
	<p/><p/>
</c:forEach>

<hr>
<!-- botón para invocar al detalle de la noticia, pasamos como parámetro el id de la noticia -->
<form method="get" action ="../command/ComentarioAnadir">	
	<textarea  name="comentario" rows="6" cols="60" class="comentarios">opino que ...</textarea>
	<input type="hidden" name="idNoticia" value="${noticia.id}"><br>
	<input type="submit" value="Añadir comentario">
</form>

<hr>
<a href="../command/NoticiasMostrar">Volver a la lista de Noticias</a>
</body>
</html>