/*
 * Universitat Oberta de Catalunya
 * Ingeniería de Informática, 2º ciclo
 * Proyecto fin de carrera- Diseño e implementación de un framework de presentación
 * 
 * Autor:Enrique Mengíbar Vázquez
 * Fecha: Enero 2012 
 * 
 * Description: Formbean que contiene la información del identificador de un comentario, se usa para 
 * enviar los datos generados desde la vista al comando, en concreto cuando el usuario quiere realizar
 * alguna acción sobre un determinado comentario. Es necesario disponer del id del comentario y de la
 * noticia a la que pertenece
 * 
 */

package org.sofp.test.formbeans;

import org.sofp.forms.FormBean;

//Extendemos de la clase abstracta del FormBean del framework SOFP
public class IdComentarioFormbean extends FormBean {
	
	public String idNoticia;		// Identificador de la noticia a la que pertenece el comentario
	public String idComentario;		// Identidicador del comentario

	// getters y setters
	
	public String getIdNoticia() {
		return idNoticia;
	}

	public void setIdNoticia(String idNoticia) {
		this.idNoticia = idNoticia;
	}

	public String getIdComentario() {
		return idComentario;
	}

	public void setIdComentario(String idComentario) {
		this.idComentario = idComentario;
	}

	public String toString() {
		return "BorrarComentarioFormBean [idNoticia=" + idNoticia + ", idComentario=" + idComentario + "]";
	}
	
}