/*
 * Universitat Oberta de Catalunya
 * Ingeniería de Informática, 2º ciclo
 * Proyecto fin de carrera- Diseño e implementación de un framework de presentación
 * 
 * Autor:Enrique Mengíbar Vázquez
 * Fecha: Enero 2012 
 * 
 * Description: Formbean que contiene la información del identificador de una noticia, se usa para 
 * enviar los datos generados desde la vista al comando, en concreto cuando el usuario quiere realizar
 * alguna acción sobre una determinada noticia
 * 
 */

package org.sofp.test.formbeans;

import org.sofp.forms.FormBean;

//Extendemos de la clase abstracta del FormBean del framework SOFP
public class IdNoticiaFormbean extends FormBean {
	
	public String idNoticia;		// Identificador de la noticia

	// getters y setters
	
	public String getIdNoticia() {
		return idNoticia;
	}

	public void setIdNoticia(String idNoticia) {
		this.idNoticia = idNoticia;
	}

	public String toString() {
		return "DetalleNoticia [idNoticia=" + idNoticia + "]";
	}
	
}